Subject: Re: [PATCH] gnu: Add python-astral

From: Vinicius Monego <[email-masked]>
Date: Tue, 04 Jan 2022 03:08:03 +0000

Hello,

> ;; FIXME The directory '/homeless-shelter/.cache/pip' or its parent
> directory is not owned or is not writable by the current user. The
> cache has been disabled. Check the permissions and owner of that
> directory. If executing pip with sudo, you should use sudo's -H flag.

This can be fixed by overriding the check phase and calling pytest
manually:

>     (arguments
>      `(#:phases
>        (modify-phases %standard-phases
>          (replace 'check
>            (lambda* (#:key inputs outputs tests? #:allow-other-keys)
>              (when tests?
>                (add-installed-pythonpath inputs outputs)
>                (invoke "python" "-m" "pytest")))))))

I also adjusted the inputs as:

>     (native-inputs
>      (list python-freezegun python-setuptools-scm))
>     (propagated-inputs
>      (list python-dataclasses python-pytest python-pytz))

When the package is a module, all runtime inputs should be propagated.
I also removed python-requests since it was not being used.

> +   (description "This is @code{astral} a Python module which
> calculates times
> + for various positions of the sun: dawn, sunrise, solar noon,
> sunset, dusk,
> +solar elevation, solar azimuth, rahukaalam, and the phases of the
> moon.")

I'd reword it starting with "@code{astral} is a Python module ..."

The indentation is also off. If you're using Emacs you can use one of
its indent commands to fix it.

Could you send a v2 with these changes?